Bug 1889719 - selinux-policy prevents boomaga from accepting a print
Summary: selinux-policy prevents boomaga from accepting a print
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 12:59 UTC by Dalibor Pospíšil
Modified: 2020-11-24 17:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 17:46:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Dalibor Pospíšil 2020-10-20 12:59:48 UTC
Description of problem:
Boomanage produces a AVC when a document is printed to it.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.14.4-54.fc31.noarch
boomaga-3.3.0-4.git255b54c.fc31.x86_64


How reproducible:
100%

Steps to Reproduce:
1. install boomaga
2. print a document to it
3.

Actual results:
[root@sopos ~]# ausearch -m avc -ts recent
----
time->Tue Oct 20 14:53:35 2020
type=AVC msg=audit(1603198415.260:104651): avc:  denied  { setattr } for  pid=2307620 comm="boomaga" name="boomaga" dev="dm-1" ino=622650 scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:var_t:s0 tclass=dir permissive=1
----
time->Tue Oct 20 14:53:35 2020
type=AVC msg=audit(1603198415.303:104652): avc:  denied  { sys_ptrace } for  pid=2307620 comm="boomaga" capability=19  scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tclass=cap_userns permissive=1
----
time->Tue Oct 20 14:53:35 2020
type=AVC msg=audit(1603198415.308:104653): avc:  denied  { write } for  pid=2307620 comm="QDBusConnection" name="bus" dev="tmpfs" ino=44935 scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_tmp_t:s0 tclass=sock_file permissive=1
----
time->Tue Oct 20 14:53:35 2020
type=AVC msg=audit(1603198415.308:104654): avc:  denied  { connectto } for  pid=2307620 comm="QDBusConnection" path="/run/user/1000/bus" scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_dbusd_t:s0-s0:c0.c1023 tclass=unix_stream_socket permissive=1


Expected results:
no AVC, boomaga starts up with the document preview

Additional Info:
There are other factors I'm not able to identify even with disabled don't audit rules. If I create a module allowing all the gathered AVCs it still does run correctly in enforcing.

Comment 1 Ben Cotton 2020-11-03 17:11:13 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2020-11-24 17:46:13 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.